import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:qyuota/config/colors.dart';
import 'package:qyuota/config/text_style.dart';

class CustomButton extends StatelessWidget {
  final String text;
  final Color color;
  final Color? textColor;
  final VoidCallback onTap;
  const CustomButton(
      {super.key,
      required this.text,
      required this.color,
      this.textColor,
      required this.onTap});

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {
        onTap();
      },
      child: Container(
        height: 48,
        width: Get.width,
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(12),
          color: color,
          border: Border.all(
            color: ConstColors.skyColor,
          ),
        ),
        child: Center(
          child: Text(
            text,
            style: pSemiBold20.copyWith(
              fontSize: 14,
              color: textColor ?? ConstColors.whiteColor,
            ),
          ),
        ),
      ),
    );
  }
}
